View Issue Details

IDProjectCategoryView StatusLast Update
0005858Subscriptions[Simple:Press] generalpublic2017-09-22 21:03
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version[Simple:Press] 5.7.5.1 
Target Version[Simple:Press] 5.8Fixed in Version[Simple:Press] 5.8 
Summary0005858: can subscribe to disabled forums
Descriptionnever been reported, but noticed that if you disable a forum, you can still subscribe to it in your profile when managing forum subscriptions...

should not be so...
TagsNo tags attached.
change_log_textdont allow forum subscriptions to disabled forums
typedefect

Activities

svn

svn

2017-09-16 19:38

administrator   ~0019640

Changeset [15553] by steve on 2017-09-16 15:38:40 -0400 (Sat, 16 Sep 2017)

test issue 0005858 dont allow forum subscriptions to disabled forums

 Changed Files:

U trunk/admin/library/spa-support.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15553
svn

svn

2017-09-16 19:38

administrator   ~0019641

Changeset [15554] by steve on 2017-09-16 15:38:56 -0400 (Sat, 16 Sep 2017)

test issue 0005858 dont allow forum subscriptions to disabled forums

 Changed Files:

U plugins/subscriptions/forms/sp-subscriptions-forum-form.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15554
svn

svn

2017-09-16 19:42

administrator   ~0019642

Changeset [15555] by steve on 2017-09-16 15:42:10 -0400 (Sat, 16 Sep 2017)

test issue 0005858 dont allow forum subscriptions to disabled forums - affects buddypress too

 Changed Files:

U plugins/buddypress/library/sp-buddypress-screens.php
U plugins/subscriptions/ajax/sp-subscriptions-ajax-manage.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15555

Issue History

Date Modified Username Field Change
2017-09-16 19:28 Mr Papa New Issue
2017-09-16 19:28 Mr Papa Assigned To => Mr Papa
2017-09-16 19:28 Mr Papa Status new => assigned
2017-09-16 19:38 svn =>
2017-09-16 19:38 svn Note Added: 0019640
2017-09-16 19:38 svn Status assigned => testing
2017-09-16 19:38 svn =>
2017-09-16 19:38 svn Note Added: 0019641
2017-09-16 19:42 svn =>
2017-09-16 19:42 svn Note Added: 0019642
2017-09-22 21:03 Mr Papa Status testing => closed
2017-09-22 21:03 Mr Papa Resolution open => fixed
2017-09-22 21:03 Mr Papa Fixed in Version => 5.8
2017-09-22 21:03 Mr Papa change_log_text update => dont allow forum subscriptions to disabled forums